/**
 * This file is part of the equanda project.
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the License for the specific language governing rights and
 * limitations under the License.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 */

package myapp.example.gui.components;

import org.apache.tapestry.ioc.annotations.Inject;
import org.apache.tapestry.annotations.Path;
import org.apache.tapestry.annotations.Parameter;
import org.apache.tapestry.Asset;
import org.apache.tapestry.Block;

/**
 * General layout
 *
 * @author <a href="mailto:joachim@progs.be">Joachim Van der Auwera</a>
 */
public class Layout
{
    @Inject
    @Path("context:css/style.css")
    private Asset style;

    @Inject
    @Path( "classpath:/org/equanda/tapestry5/resources/equanda.js" )
    private Asset equandaJs;

    @Inject
    @Path("context:images/logo.png")
    private Asset logo;

    @Parameter
    private Block sidebar;

    @Parameter
    private Block context;

    @Parameter
    private Block title;

    @Parameter
    private Block buttons;

    public Asset getEquandaJs() { return equandaJs; }

    public Asset getStyle()
    {
        return style;
    }

    public void setStyle( Asset style )
    {
        this.style = style;
    }

    public Asset getLogo()
    {
        return logo;
    }

    public void setLogo( Asset logo )
    {
        this.logo = logo;
    }

    public Block getSidebar()
    {
        return sidebar;
    }

    public void setSidebar( Block sidebar )
    {
        this.sidebar = sidebar;
    }

    public Block getContext()
    {
        return context;
    }

    public void setContext( Block context )
    {
        this.context = context;
    }

    public Block getTitle()
    {
        return title;
    }

    public void setTitle( Block title )
    {
        this.title = title;
    }

    public Block getButtons()
    {
        return buttons;
    }

    public void setButtons( Block buttons )
    {
        this.buttons = buttons;
    }
}
